package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SysUserVo {
    //用户id
    private Long id;
    //用户昵称
    private String nickName;
    //用户名
    private String username;
    //用户头像
    private String avatar;
    //最新消息发送者名称
    private String senderNickName;
    //是否已读
    private boolean isRead;
    //最新消息信息时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date msgTime;
    //最新一条消息内容
    private String msg;
}
